bootstrap fails on Debian ppc64 with fatal error: bits/libc-header-start.h: No such file or directory

Jonathan Wakely jwakely.gcc@gmail.com
Fri May 13 21:03:12 GMT 2022


On Fri, 13 May 2022 at 21:55, Dennis Clarke wrote:
> However "configure" always runs just fine regardless of much of anything
> other than the mysterious --with-gmp and mpfr and mpc options. If I do
> not provide those *and* also have the sources extracted into the gcc
> source tree then I get a complaint and configure fails.  If I do provide
> those *and* yes the libs have been prebuilt *and* the sources are in the
> gcc source tree then I get no complaint and the compile then rebuilds
> them anyways. No idea why. [1]

Honestly, I find that hard to believe.

One or the other is needed. If you need both, I think you're the only
person in the world who needs that.

> enceladus$
> enceladus$ ls -lapb --full-time ./stage1-gcc/xgcc ./prev-gcc/xgcc ./gcc/xgcc
> -rwxr-xr-x 1 dclarke devl 5981584 2022-05-13 20:17:17.398378278 +0000
> ./gcc/xgcc
> -rwxr-xr-x 1 dclarke devl 2077720 2022-05-13 19:34:28.401954705 +0000
> ./prev-gcc/xgcc
> -rwxr-xr-x 1 dclarke devl 5145688 2022-05-13 17:18:49.299039174 +0000
> ./stage1-gcc/xgcc
> enceladus$
>
> No stage4 result but whatever :\ we didn't want that anyways ?

Good, there should only be three stages.


> checking for the correct version of gmp.h... yes
> checking for the correct version of mpfr.h... yes
> checking for the correct version of mpc.h... no
> configure: error: Building GCC requires GMP 4.2+, MPFR 3.1.0+ and MPC
> 0.8.0+.

Which version of mpc have you got in the GCC source tree, and how did
you add it there?

What does 'ls -d ../gcc-12.1.0/mpc*' show?

What does config.log (in the build dir) say before it fails? It should
tell you where it found mpc.h and which version it found.


More information about the Gcc-help mailing list